/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Santhosh N

#ifndef __HSLIDER_H
#define __HSLIDER_H

#include "picowidget.h"

px_widget* hslider_create(px_widget*, int, int, int, int, const char*);
void hslider_set_parameters(px_widget* widget);

Bool hslider_default_button_press(px_widget*, px_event*);
Bool hslider_default_button_release(px_widget*, px_event*);
Bool hslider_default_button_motion(px_widget*, px_event*);

void hslider_redraw(px_widget*);
void hslider_destroy(px_widget*);

void hslider_set_value(px_widget*, int);
void hslider_show_calibration(px_widget* widget, hslider_calibration_side);
void hslider_show_value(px_widget* widget, Bool );
void hslider_set_range(px_widget* widget,int min, int max);
int hslider_get_position(px_widget* );
void hslider_set_font(px_widget* widget, const char* fontname);
void hslider_show_minor_calibration(px_widget* widget,Bool show);

#endif
